var 	$form = document.querySelector('[data-co=form]'),
		$login = document.querySelector('[data-co=login]'),
		$pass = document.querySelector('[data-co=pass]'),
		$warning = document.querySelector('[data-co=warning]');

$form.onsubmit = function(e){
	e.preventDefault();
	document.body.classList.add('__load');

	self.port.emit('autorize', {
		login: $login.value,
		pass: $pass.value
	});
}

self.port.on('autorize', function(code){
	document.body.classList.remove('__load');
		
	if (!code) {
		$warning.style.height = '0';
	} else {
		$pass.value = '';
		$warning.textContent = code;
		$warning.style.height = '24px';
	}
});

function INN(voc){
	var 	nodes = document.querySelectorAll('[data-i18n]'),
			len = nodes.length,
			key, attr, pos;

	while(len--){
		key = nodes[len] && nodes[len].dataset.i18n;
		if(key === undefined) continue;
		pos = key.indexOf(':');
		
		if(pos != -1){
			attr = key.substr(0, pos);
			key = key.substr(pos + 1);
			voc[key] != undefined && nodes[len].setAttribute(attr, voc[key]);
		}else if(voc[key] != undefined){
			nodes[len].textContent = voc[key];
		}
	}
}
INN(self.options);
