var buttons = require('sdk/ui/button/action');
var tabs = require("sdk/tabs");
var $wc = require('./wc_api');

exports.init = function(){
	var button = buttons.ActionButton({
		id: "mozilla-link",
		label: "Visit Mozilla",
		icon: {
			"16": "./img/icon-16.png",
			"32": "./img/icon-32.png",
			"64": "./img/icon-64.png"
		},
		onClick: function handleClick(state) {
			if (false) {
				var ad = require('resource://linkcheckerwce/lib/authorization_dialog');

				ad.open(function(status){
					// console.log('[Auth] status: ', status ? 'Success': 'Fail');
				}, $wc.client);	
			}

			if (false) {
				var sd = require('resource://linkcheckerwce/lib/settings_dialog')
				sd.open();
			}

			if (false) {
				var $scan_core = require('./scan_core');
				$scan_core.cat_core.skip('drweb-ru.com');
			}

			if (false) {
				$wc.login('nick', '1');	
			}

			if (false) {
				var CategorizeUrl = require('./scan_core').CategorizeUrl;

				new CategorizeUrl('http://drweb-ru.com/', function(cb, result){
					console.log('Categorize complete');
					console.log(result);
				});
			}

			if(false){
				var CheckHost = require('./scan_core').CheckHost;

				(new CheckHost()).execute('drweb-ru.com', 'http://www.drweb-ru.com/', function(){
					console.log('Block handler');
					console.log(arguments);
				}, function(){
					console.log('Redirect handler');
					console.log(arguments);
				});
			}

			if(false){
				var CheckLink = require('./scan_core').CheckLink;
				
				new CheckLink('http://www.softportal.com/getsoft-39234-lastovita-2.html', {
				// new CheckLink('http://www.eicar.org/download/eicarcom2.zip', {
					ip: function(ip){
						console.log('[CheckLink ip] ' + ip);
					},
					redirect: function(url){
						console.log('[CheckLink redirect] ' + url);
					},
					error: function(mes, code){
						console.log('[CheckLink error] ' + code);
						console.log('\t' + mes);
					},
					ipCheck: function(cat, own){
						console.log('[CheckLink ipCheck] cat: ' + cat.join(',') + ' own: ' + own);
					},
					urlCheck: function(cat, own){
						console.log('[CheckLink urlCheck] cat: ' + cat.join(',') + ' own: ' + own);
					},
					fileCheck: function(report){
						console.log('[CheckLink fileCheck]');
						console.log(report);
					}
				});
			}

			if(false){
				var $scan_core = require('./scan_core');
				// todo clean list
				$scan_core.cat_core.list = {};
			}

			if(1){
				var $logStack = require('./debug').log_stack;

				require("sdk/tabs").open({
	  				url: 'data:text/html;charset=utf-8,' + JSON.stringify($logStack + '', null, '\t')
	  			});
			}
		}
	});
}

