function log2(){
	var 	str = arguments[0] || '',
			parts = str.split('%s'),
			counter = parts.length - 1;
			list = [parts[counter]];

	while(counter--){
		list.unshift(parts[counter] + (arguments[counter + 1] || '%s'));
	}
	
	console.log(list.join(''));
}

exports.log_stack = [];

exports.log = log2;
exports.o2string = function(obj, offset, rec){
	var res = '',
		offsetStr = '',
		offsetCount = offset - 0 || 0,
		nextCount = offsetCount + 1;
		
	while(offsetCount--){
		offsetStr += '\t';
	}
	for(var key in obj){
		if(obj.hasOwnProperty(key)){
			if(rec && typeof(obj[key]) == 'object'){
				res += offsetStr + key + ':\n' +
						Obj2String(obj[key], nextCount, rec);
			}else{
				res += offsetStr + key + ': ' + obj[key] + ',\n';
			}
		}
	}
	return res;
}