var 	$pageMod = require("sdk/page-mod"),
		$tabs = require("sdk/tabs"),
		$sc = require('./scan_core'),
		$data = require("sdk/self").data;
var 	_page = $data.url('page/warning_page.html'),
		_ = require("sdk/l10n").get;

exports.init = function(){
	$pageMod.PageMod({
		include: _page + '?*',
		attachTo: 'top', //// to main document (not subframes)
		contentScriptFile: $data.url('js/warning_page.js'),
		contentScriptWhen: 'end',
		onAttach: function(worker){
			// Something when page reload: worker.on('detach', function(){});
			worker.port.on('skip_host', function(host){
				$sc.cat_core.skip(host);
				worker.port.emit('reload_page');
			});
		},
		contentScriptOptions: {
			'warning_title': _('warning_title'),
			'warning_header': _('warning_header'),
			'warning_reason': _('warning_reason'),
			'warning_owner': _('warning_owner'),
			'warning_date': _('warning_date'),
			'warning_error': _('warning_error'),
			'warning_ignore': _('warning_ignore'),
			UC_INFECTION_SOURCE: _('UC_INFECTION_SOURCE'),
			UC_NOT_RECOMMENDED: _('UC_NOT_RECOMMENDED'),
			UC_ADULT_CONTENT: _('UC_ADULT_CONTENT'),
			UC_VIOLENCE: _('UC_VIOLENCE'),
			UC_WEAPONS: _('UC_WEAPONS'),
			UC_GAMBLING: _('UC_GAMBLING'),
			UC_DRUGS: _('UC_DRUGS'),
			UC_OBSCENE_LANGUAGE: _('UC_OBSCENE_LANGUAGE'),
			UC_CHATS: _('UC_CHATS'),
			UC_TERRORISM: _('UC_TERRORISM'),
			UC_FREE_EMAIL: _('UC_FREE_EMAIL'),
			UC_SOCIAL_NETWORKS: _('UC_SOCIAL_NETWORKS'),
			UC_OWNERS_NOTICE: _('UC_OWNERS_NOTICE'),
			UC_BLACK_LIST: _('UC_BLACK_LIST'),
		}
	});
}
