var 	$data = require("sdk/self").data,
		$settingsApi = require('./settings_api'),
		MozTabs = require("sdk/tabs"),
		$pageMod = require("sdk/page-mod").PageMod,
	 	_ = require("sdk/l10n").get;

var 	_WIZARD_PAGE = $data.url('wizard/wizardPage.html'),
		LC_HOST_MARK = '#linkcheckerhost',
		_wizardTab;

exports.open = function(){
	if(_wizardTab){
		_wizardTab.window.activate();
		_wizardTab.activate();
	}else{
		MozTabs.open({
			url: _WIZARD_PAGE,
			onLoad: function(tab){
				_wizardTab = tab;
				/*var wizardWorker = tab.attach({
					contentScriptFile: $data.url('wizard/wizardPage.js')
				});
				
				wizardWorker.port.on('save', function(settings){
					$settingsApi.updatePreferences(settings);
					tab.close();
				});
				
				// Search httpd host at history
				var 	{ search } = require("sdk/places/history"),
						$pref = require("sdk/simple-prefs").prefs,
						$wc = require('./wc_api');

				search({ 
					query: LC_HOST_MARK
				}, {sort: "url"}).on("end", function(results){
					console.log('Search results '+ results.length);
					console.log(results);
					var 	url = results[0] ? results[0].url : '', 
							pos = url.indexOf(LC_HOST_MARK + '='), 
							host = pos != -1 ?  url.substr(pos + LC_HOST_MARK.length + 1) : url.split('/')[2];
					
					console.log('Host `%s`', host);

					if(host){
						$pref.host = $wc.client.setHost('http://' + host);
					}
				});	*/
			},
			onClose: function(){
				_wizardTab = undefined;
			}
		});
	}
}
exports.init = function(){
	$pageMod({
		include: _WIZARD_PAGE + '*',
		contentScriptWhen: 'end',
		contentScriptFile: $data.url('wizard/wizardPage.js'),
		onAttach: function(worker){
			worker.port.on('save', function(settings){
				$settingsApi.updatePreferences(settings);
				worker.tab.close();

				var 	$wc = require('./wc_api'),
						$optionDialog = require('./option_dialog');
				
				$wc.client.whoami(function(d){
					if(!d){ // host check fail
						$optionDialog.open('host');
					}
				});
			});
				
			// Search httpd host at history
			var 	{search} = require("sdk/places/history"),
					$pref = require("sdk/simple-prefs").prefs,
					$wc = require('./wc_api');

			search({ 
				query: LC_HOST_MARK
			}, {sort: "url"}).on("end", function(results){
				var 	url = results[0] ? results[0].url : '', // first at list and last by time
						pos = url.indexOf(LC_HOST_MARK + '='), 
						host = pos != -1 ?  url.substr(pos + LC_HOST_MARK.length + 1) : url.split('/')[2];
				
				if(host){
					$pref.host = $wc.client.setHost('http://' + host);
				}
			});	
		}
	});
}